package de.hdm_stuttgart.mi.sd1;

import org.junit.Assert;
import org.junit.Test;

/**
 * Unit test of {@link AlarmClock}.
 */
public class AlarmClockTest {
    /**
     * Test for correct sum of two arguments.
     */
    @Test public void test_1_false() {
        Assert.assertEquals( "7:00", AlarmClock.alarmClock(1, false));
    }
    @Test public void test_5_false() {
        Assert.assertEquals( "7:00", AlarmClock.alarmClock(5, false));
    }
    @Test public void test_0_false() {
        Assert.assertEquals("10:00", AlarmClock.alarmClock(0, false));
    }
    @Test public void test_6_false() {
        Assert.assertEquals("10:00", AlarmClock.alarmClock(6, false));
    }
    @Test public void test_0_true() {
        Assert.assertEquals("off", AlarmClock.alarmClock(0, true));
    }
    @Test public void test_6_true() {
        Assert.assertEquals("off", AlarmClock.alarmClock(6, true));
    }
    @Test public void test_1_true() {
        Assert.assertEquals("10:00", AlarmClock.alarmClock(1, true));
    }
    @Test public void test_3_true() {
        Assert.assertEquals("10:00", AlarmClock.alarmClock(3, true));
    }
    @Test public void test_5_true() {
        Assert.assertEquals("10:00", AlarmClock.alarmClock(5, true));
    }
}


/*











 */